---
title: "Add Group Owner"
slug: "add-group-owner"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Group Owner

Post/api/v1/groups.addOwner

Assign `owner` role for a user in the current private channel. Learn more about roles from the [Roles in Rocket.Chat](https://docs.rocket.chat/docs/roles-in-rocketchat) document.

### Changelog

| Version | Description |
| --- | --- |
| 0.49.4 | Added. |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Body parameters<select class='api-response-data' aria-label='Media type'><option value='fa994c7e-dbc0-4791-b2fa-a1a83599d847'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='b8bd63ff-9012-437c-ac0e-38de2a69c807'>Example</option>
</select>Example

```json
{
  "roomId": "ByehQjC44FwMeiLbX",
  "userId": "nSYqWzZ4GsKTX4dyK"
}
```

object  roomIdstring    Required

Enter the group's (private channel) ID.

ExampleByehQjC44FwMeiLbX
userIdstring    Required

Enter the user's ID.

ExamplenSYqWzZ4GsKTX4dyK

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='dcf60b5d-a2dd-4caa-9ea4-4b6202b6626d'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='ded0982a-28c0-4288-a05f-39582fc4b931'>Success</option>
</select>Success

```json
{
  "success": true
}
```

object  successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='fcf508cc-01d8-4a22-8915-9b06ece9a96d'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='40010375-22ce-41f8-b204-5e906f77fe51'>Example 1</option>
</select>Example 1

```json
{
  "success": false,
  "error": "The required \"roomId\" or \"roomName\" param provided does not match any group [error-room-not-found]",
  "errorType": "error-room-not-found"
}
```

object  successboolean    
errorstring    
errorTypestring    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='6c3bb27a-08be-4007-bd4d-3ad2388799c6'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='882bc901-e929-43d5-b505-365f9046f18b'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
